Restore an AWS Iceberg Table
Restores the specified source AWS Iceberg Table snapshots to the specified target destination. The source AWS Iceberg Table must be one that was backed up by Clumio.
- application/json
Request Body required
source object required
IcebergRestoreSource The Iceberg Snapshot records to be restored.
asset_id stringThe asset id of the Iceberg Table where the backup is stored.
backup_ids string[]The list of backup IDs to restore. Required for backup ID based restore. Optional for interval restore, where
asset_id,region,start_timestamp, andend_timestampare used instead.end_timestamp stringmain_snapshot_backup_id stringThe main Iceberg Table snapshot backup ID to restore. If not specified, the latest snapshot will be used as the main snapshot. Main refers the branch of the Iceberg Table (default branch).
region stringThe region where the backup is stored.
start_timestamp stringThe start and end times of restored snapshot for interval restore.
target object required
IcebergRestoreTarget The target destination for the restored Iceberg Table.
asset_id stringThe asset id of the target Iceberg Table to restore into. If specified, the restore targets an existing table. If omitted, a new table is created using the catalog-specific fields below.
catalog stringThe catalog of the Iceberg table — an empty string for Glue tables, and the table bucket ARN for S3 tables. Required when creating a new S3 Tables target table.
catalog_type string requiredThe type of catalog to which the restored Iceberg Table belongs.
environment_id string requiredThe Clumio-assigned ID of the AWS environment to be used as the restore destination. Use the GET /datasources/aws/environments endpoint to fetch valid values.
namespace stringThe namespace of the Iceberg table - database name for Glue tables, and namespace for S3 tables. Required when creating a new target table.
optimizer object
glue object
compaction_configuration object
delete_file_threshold int64min_input_files int64status stringPossible values: [
enabled,disabled]Whether compaction is enabled. Possible values include "enabled" and "disabled".
strategy stringPossible values: [
binpack,sort,z-order]The compaction strategy. Possible values include "binpack", "sort", and "z-order".
orphan_file_deletion_configuration object
location stringorphan_file_retention_period_in_days int64run_rate_in_hours int64status stringPossible values: [
enabled,disabled]Whether orphan file deletion is enabled. Possible values include "enabled" and "disabled".
retention_configuration object
clean_expired_files booleannumber_of_snapshots_to_retain int64run_rate_in_hours int64snapshot_retention_period_in_days int64status stringPossible values: [
enabled,disabled]Whether snapshot retention is enabled. Possible values include "enabled" and "disabled".
role_arn stringvpc_configuration object
glue_connection_name stringmode stringPossible values: [
custom,disabled]The optimizer mode. Set to "custom" to configure the optimizers explicitly, or "disabled" to turn optimization off.
s3tables object
iceberg_compaction object
status stringPossible values: [
enabled,disabled]Whether compaction is enabled. Possible values include "enabled" and "disabled".
strategy stringPossible values: [
auto,binpack,sort,z-order]The compaction strategy. Possible values include "auto", "binpack", "sort", and "z-order".
target_file_size_mb int64iceberg_snapshot_management object
max_snapshot_age_hours int64min_snapshots_to_keep int64status stringPossible values: [
enabled,disabled]Whether snapshot management is enabled. Possible values include "enabled" and "disabled".
table_location stringThe location of the iceberg table. This is generally the S3 prefix of the table bucket. Required when creating a new Glue target table.
table_name stringThe name of the Iceberg Table to restore. Required when creating a new target table.
- 202
- default
Success
- application/api.clumio.restored-aws-iceberg-tables=v1+json
- Schema
- Example (from schema)
Schema
- task_id string
The Clumio-assigned ID of the task created by this restore request. The progress of the task can be monitored using the
GET /tasks/{task_id}endpoint.
{
"task_id": "string"
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}